#
# spec file for package perl-autobox
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-autobox
Version:        2.85
Release:        25.1
%define cpan_name autobox
Summary:        Call Methods On Native Types
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/autobox/
Source0:        https://cpan.metacpan.org/authors/id/C/CH/CHOCOLATE/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Scope::Guard) >= 0.21
Requires:       perl(Scope::Guard) >= 0.21
%{perl_requires}

%description
The 'autobox' pragma allows methods to be called on integers, floats,
strings, arrays, hashes, and code references in exactly the same manner as
blessed references.

Autoboxing is transparent: values are not blessed into their (user-defined)
implementation class (unless the method elects to bestow such a blessing) -
they simply use its methods as though they are.

The classes (packages) into which the native types are boxed are fully
configurable. By default, a method invoked on a non-object value is assumed
to be defined in a class whose name corresponds to the 'ref()' type of that
value - or SCALAR if the value is a non-reference.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Tue Feb 28 2017 coolo@suse.com
- updated to 2.85
  see /usr/share/doc/packages/perl-autobox/Changes
  2.85 Mon 27 Feb 18:18:19 2017
  - fix failing test under 5.25.10 with -Ddefault_inc_excludes_dot
    (thanks, Kent Fredric)
* Sat Aug 27 2016 coolo@suse.com
- updated to 2.84
  see /usr/share/doc/packages/perl-autobox/Changes
  2.84 Fri 26 Aug 20:35:48 2016
  - compatibility fix for perl >= 5.25 (thanks, mat813, karenetheridge and eserte)
  - update ppport.h from 3.20 to 3.35
  - add .travis.yml
* Tue Apr 14 2015 coolo@suse.com
- updated to 2.83
  see /usr/share/doc/packages/perl-autobox/Changes
  2.83 Sun Feb 1 21:34:01 2015
  - RT #100247: fix assertion failures on 5.21.x perls with -DDEBUGGING
    (thanks, ilmari and Father Chrysostomos)
  - RT #100717: don't hide autobox::universal from PAUSE (thanks, ppisar)
  - RT #89754: INSTALLDIRS fix (thanks, Kent Fredric)
* Tue Nov 26 2013 coolo@suse.com
- updated to 2.82
  - simplify test to avoid portability woes
  - fix failing test on Windows
  - RT #71777: fix segfault in destructor called during global destruction (thanks, Tomas Doran)
  - added t/rt_71777.t
* Sat Jun 15 2013 coolo@suse.com
- updated to 2.79
  - allow import arguments to be passed as a hashref
  - add t/import_hashref.t
  - doc tweaks
  - fix RT #80400 (thanks, Tokuhiro Matsuno)
  - added t/rt_80400.t
  - doc tweaks
  - add multiple-arg autoref tests
  - fix breaking tests in perl >= 5.17.5: update error message pattern (thanks, rjbs)
  - update ppport.h from 3.19 to 3.20
* Thu Nov 17 2011 coolo@suse.com
- update to 2.75
  - POD spelling fixes (thanks, gregor herrmann)
  - portability fix for perl >= 5.14 (thanks, chorny)
* Tue Apr 12 2011 coolo@opensuse.org
- regenerate with newer cpanspec
* Sun Apr  3 2011 coolo@novell.com
- updated to 2.73
  - Makefile.PL fix
  - fix conflict with use re 'taint' (thanks, Peter Rabbitson)
* Mon Jan 17 2011 coolo@novell.com
- initial package 2.71
  * created by cpanspec 1.78.03
